<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Virtual Server .::WMS::. -- || By SIYSC-Solutions ||</title>
<style type="text/css">
<!--
.Estilo3 {font-size: 24px}
.Estilo6 {font-size: 50px; font-family: Arial, Helvetica, sans-serif; }
.Estilo7 {
	font-size: 14px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.Estilo8 {
	font-size: 10px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
-->
</style>
</head>

<body>
<?php
		include ("../../../Conexion.php");
		$UsuEn=$_GET['USUkp'];
	
	if ($UsuEn=="")
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		/////////IDENTIFICAR DATOS DE NIVEL///////
		$sql = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
						
	if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNiv=$registro["NIVEL"];
		}
			
	if ($CNiv=="10")
		{
		echo "<script>alert('No estas autorizado para realizar esta operación');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		/////////CONSULTAR AL CONTRATANTE/////////////////////////////////////
		$sql = mysql_query("select * from  tabla_contratante");
						
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$IMPContrata=$registro["LOGOTIPO"];
		}
	/////////FIN CONSULTAR AL CONTRATANTE/////////////////////////////////
		
	///////CLICANDO LOS REGISTROS QUE EXISTEN EN LA TABLA TEMPORAL///////////
		$sqlID = "select max(CLAVE_PASILLO) as ultimo_FOLIO from temporal_ubicaporpasillo"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'];
		$PasalaCU=$id_nuevo;
			
			////////////BUSCANDO LOS DATOS DE IMPRESION
			$sql = mysql_query("select * from  tabla_ubicaciones where CLAVEUBICACION='$PasalaCU'");
						
			if (mysql_numrows($sql)==0) 
			{
			$Visible="Desctivado";
				echo "<META HTTP-EQUIV=Refresh CONTENT='3; URL=40-EtiquetaDeProdu.php?USUkp=$UsuEn'>";
			}
			else{
			$registro=mysql_fetch_array($sql);
			}
			if (mysql_numrows($sql)>0)
			{
			$IMPpas=$registro["PASILLO"];
			$IMPlad=$registro["LADO"];
			$IMPx=$registro["X"];
			$IMPy=$registro["Y"];
			}
			$ClaUbiConsultada=$IMPpas."-".$IMPlad."-".$IMPx."-".$IMPy;	
			

				  
		$num = $ClaUbiConsultada;
		$num = isset($_REQUEST) && is_array($_REQUEST) && isset($_REQUEST['num']) ? $_REQUEST['num'] : $num;
	 
			 		//////////////VERIFICA SI HAY DATOS PARA IMPRIMIR ETIQUET Y LOS IMPRIME ////////////
	if ($Visible<>"Desctivado")
		{
	echo "<div align='right'>";
    echo "<table width='551' height='355' border='0'>";
    echo "<tr>";
    echo "<td height='21' colspan='2' align='left' bgcolor='#000000'><span class='Estilo7'>www.logsyswms.com</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td width='211' height='52' align='left'><img src='../../../../WMS_Resources/Imagenes/Logo_Rectangu.jpg' width='95' height='47' /></td>";
    echo "<td width='211' align='right'><img src='../../../../WMS_Resources/Contratantes/$IMPContrata' width='100' height='47'></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td height='35'><div align='center'><span class='Estilo5'>PAS</span><span class='Estilo4'>:</span><font size='20' class='Estilo6'>$IMPpas</font></div></td>";
    echo "<td><div align='center'><span class='Estilo5'>LAD:</span><font size='20' class='Estilo6'>$IMPlad</font></div></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td height='37'><div align='center'><span class='Estilo5'>X:</span><font size='20' class='Estilo6'>$IMPx</font></div></td>";
    echo "<td><div align='center'><span class='Estilo5'>Y: </span><font size='20' class='Estilo6'>$IMPy</font></div></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td height='136' colspan='2' align='center'><img src='barcode_img.php?num=$num&type=code128&imgtype=png' alt='PNG: $num' title='PNG: $num' width='93%' height='90%'></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td height='21' colspan='2' align='right' bgcolor='#000000'><span class='Estilo8'>By SIYSC-Solutions</span></td>";
    echo "</tr>";
    echo "</table>";
	echo "</div>";
	/////Script para Imprimir//////
	echo "<script language='JavaScript'>window.print();</script>";
	
	//ELIMINA CLAVE DE ETIQUETA, PARA PASAR A LA SIGUIENTE
	$sql= "DELETE FROM temporal_ubicaporpasillo WHERE CLAVE_PASILLO='$ClaUbiConsultada'";
	$resultado=mysql_query($sql,$conexion) or die(mysql_error());
						
	//ACTUALIZA VENTANA
	  echo "<meta content='2;URL=40-EtiquetaDeUbica.php?USUkp=$UsuEn' http-equiv='REFRESH'></meta>";
		
		}
		}
		}
	?>
</body>
</html>